# Using shell runner
# image: docker:git

# variables:
#   DOCKER_HOST: tcp://docker:2375/
#   DOCKER_DRIVER: overlay2
   
# services:
#  - docker:ding

before_script:
  - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD"

stages:
  - elastic_fusion
  - kintinuous
  - dynamic_fusion
  - infinitam

.docker-build: &docker-build
  script:
    - make -C $_DOCKERFILE_DIR 1-build
    - make -C $_DOCKERFILE_DIR 3-tag
    - make -C $_DOCKERFILE_DIR 4-push
  artifacts:
    expire_in: 1 day
    paths:
      - variables

build:elastic_fusion:
  stage: elastic_fusion
  variables:
    _DOCKERFILE_DIR: "elastic-fusion"
  <<: *docker-build

build:dynamic_fusion:
  stage: dynamic_fusion
  variables:
    _DOCKERFILE_DIR: "dynamic-fusion"
  <<: *docker-build

build:kintinuous:
  stage: kintinuous
  variables:
    _DOCKERFILE_DIR: "kintinuous"
  <<: *docker-build

build:infinitam:
  stage: infinitam
  variables:
    _DOCKERFILE_DIR: "infini-tam"
  <<: *docker-build  

build:surfelmeshing:
  stage: surfelmeshing
  variables:
    _DOCKERFILE_DIR: "surfelmeshing"
  <<: *docker-build
